Bug 1844: LTS Support
[osm/NBI.git] / requirements.txt
1 aiohttp==3.6.2
2     # via -r requirements.in
3 async-timeout==3.0.1
4     # via aiohttp
5 attrs==20.3.0
6     # via
7     #   aiohttp
8     #   jsonschema
9 certifi==2020.12.5
10     # via requests
11 chardet==3.0.4
12     # via
13     #   aiohttp
14     #   requests
15 cheroot==8.5.2
16     # via cherrypy
17 cherrypy==18.6.0
18     # via -r requirements.in
19 debtcollector==2.2.0
20     # via
21     #   oslo.config
22     #   oslo.utils
23     #   python-keystoneclient
24 idna==2.10
25     # via
26     #   requests
27     #   yarl
28 iso8601==0.1.14
29     # via
30     #   keystoneauth1
31     #   oslo.utils
32 jaraco.classes==3.2.1
33     # via jaraco.collections
34 jaraco.collections==3.2.0
35     # via cherrypy
36 jaraco.functools==3.2.1
37     # via
38     #   cheroot
39     #   jaraco.text
40     #   tempora
41 jaraco.text==3.5.0
42     # via jaraco.collections
43 jsonschema==3.2.0
44     # via -r requirements.in
45 keystoneauth1==4.3.1
46     # via python-keystoneclient
47 more-itertools==8.7.0
48     # via
49     #   cheroot
50     #   cherrypy
51     #   jaraco.classes
52     #   jaraco.functools
53 msgpack==1.0.2
54     # via oslo.serialization
55 multidict==4.7.6
56     # via
57     #   aiohttp
58     #   yarl
59 netaddr==0.8.0
60     # via
61     #   oslo.config
62     #   oslo.utils
63 netifaces==0.10.9
64     # via oslo.utils
65 os-service-types==1.7.0
66     # via keystoneauth1
67 oslo.config==8.5.0
68     # via python-keystoneclient
69 oslo.i18n==5.0.1
70     # via
71     #   oslo.config
72     #   oslo.utils
73     #   python-keystoneclient
74 oslo.serialization==4.1.0
75     # via python-keystoneclient
76 oslo.utils==4.8.0
77     # via
78     #   oslo.serialization
79     #   python-keystoneclient
80 packaging==20.9
81     # via oslo.utils
82 pbr==5.5.1
83     # via
84     #   debtcollector
85     #   keystoneauth1
86     #   os-service-types
87     #   oslo.i18n
88     #   oslo.serialization
89     #   oslo.utils
90     #   python-keystoneclient
91     #   stevedore
92 portend==2.7.1
93     # via cherrypy
94 pyparsing==2.4.7
95     # via
96     #   oslo.utils
97     #   packaging
98 pyrsistent==0.17.3
99     # via jsonschema
100 python-keystoneclient==4.2.0
101     # via -r requirements.in
102 pytz==2021.1
103     # via
104     #   oslo.serialization
105     #   oslo.utils
106     #   tempora
107 pyyaml==5.4.1
108     # via
109     #   -r requirements.in
110     #   oslo.config
111 requests==2.25.1
112     # via
113     #   -r requirements.in
114     #   keystoneauth1
115     #   oslo.config
116     #   python-keystoneclient
117 rfc3986==1.4.0
118     # via oslo.config
119 six==1.15.0
120     # via
121     #   cheroot
122     #   debtcollector
123     #   jsonschema
124     #   keystoneauth1
125     #   oslo.i18n
126     #   python-keystoneclient
127     #   tacacs-plus
128 stevedore==3.3.0
129     # via
130     #   keystoneauth1
131     #   oslo.config
132     #   python-keystoneclient
133 tacacs-plus==2.6
134     # via -r requirements.in
135 tempora==4.0.1
136     # via portend
137 urllib3==1.26.4
138     # via requests
139 wrapt==1.12.1
140     # via debtcollector
141 yarl==1.6.3
142     # via aiohttp
143 zc.lockfile==2.0
144     # via cherrypy
145
146 # The following packages are considered to be unsafe in a requirements file:
147 # setuptools
148 # Copyright 2018 Telefonica S.A.
149 #
150 # Licensed under the Apache License, Version 2.0 (the "License");
151 # you may not use this file except in compliance with the License.
152 # You may obtain a copy of the License at
153 #
154 #    http://www.apache.org/licenses/LICENSE-2.0
155 #
156 # Unless required by applicable law or agreed to in writing, software
157 # distributed under the License is distributed on an "AS IS" BASIS,
158 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
159 # implied.
160 # See the License for the specific language governing permissions and